<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>
<!-- META FOR IOS & HANDHELD -->
<?php if ($this->getParam('responsive', 1)): ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
	<style type="text/stylesheet">
		@-webkit-viewport   { width: device-width; }
		@-moz-viewport      { width: device-width; }
		@-ms-viewport       { width: device-width; }
		@-o-viewport        { width: device-width; }
		@viewport           { width: device-width; }
	</style>
	<script type="text/javascript">
		//<![CDATA[
		if (navigator.userAgent.match(/IEMobile\/10\.0/)) {
			var msViewportStyle = document.createElement("style");
			msViewportStyle.appendChild(
				document.createTextNode("@-ms-viewport{width:auto!important}")
			);
			document.getElementsByTagName("head")[0].appendChild(msViewportStyle);
		}
		//]]>
		jQuery(window).on("scroll", function() {
			var scrollTop = jQuery(window).scrollTop() ;
			if (jQuery(document).width() < 550) {
				if (scrollTop > 5) {
					var logo = document.getElementsByClassName("head-search");
					logo[0].style.display = "none";
					document.getElementById("t3-mainnav").style.height = "82px";
				}
				else {
					var logo = document.getElementsByClassName("head-search");
					logo[0].style.display = "block";
					document.getElementById("t3-mainnav").style.height = "150px";
				}
			}
			else {
				
			}
			
		});

		
	</script>

	<script>
	  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
	  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
	  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

	  ga('create', 'UA-64540496-1', 'auto');
	  ga('send', 'pageview');

	</script>

		<!-- Open Graph data -->
		<meta property="og:title" content="Ratsastajankunto.fi/fi" />
		<meta property="og:type" content="article" />
		<meta property="og:url" content="http://www.ratsastajankunto.fi/" />
		<meta property="og:image" content="http://ratsastajankunto.fi/images/banneri1.jpg" />
		<meta property="og:description" content="Liikkuva ratsastaja -hanke on ratsastusseuroille suunnattu hanke, jossa koulutetaan seuroille ratsastusta tukevan oheisliikunnan ohjaajia. Se on myös osa kansainvälistä Urheillen Terveyttä -ohjelmaa" />

	    <script type="text/javascript">
	    var step = "";
	    var lastStep;
	    var curStep;
		jQuery(function(){
			jQuery("#ss-form").formwizard({ 
			 	formPluginEnabled: true,
			 	validationEnabled: false,
			 	focusFirstInput : false,

			 	formOptions :{
					success: function(data){$("#status").fadeTo(500,1,function(){ $(this).html("Lomake tallennettu onnistuneesti.").fadeTo(5000, 0); })},
					resetForm: true
			 	}

			 }

			);
		});

		jQuery(function(){
			console.log(window.location.href);

			var testiTyyppi;

			extranetLinkki();


			jQuery("#esitietoNappi").click(function() {
				if (document.getElementById("esitietoOsoite")) {

					document.getElementById("esitietoOsoite").style.display = "inline";
					document.getElementById("esitietoOsoite").style.width = "auto";
					console.log("esitieto");
					if (jQuery("#esitietoOsoite").val() != '') {
						console.log("lahetys");
						lahetaEsitieto(jQuery("#esitietoOsoite").val());
						document.getElementById("esitietoOsoite").value = "";
						document.getElementById("esitietoOsoite").style.display = "none";
					}
					else {
						console.log("ei lahetys");
					}
				}
 			});
			jQuery( "#kuntohaasteWrapper #ss-form_" ).submit(function( event ) {

				if (jQuery('#ohje_hyvaksynta').is(':checked')) {

					var list = {};
					var validointi = 0;

					list["testaajan_sposti"] = palautaTestaajanSposti(document.getElementsByClassName("fysioterapeutti")[0].value);
					
					list['joukkueenNimi'] = "Joukkueen nimi: "+document.getElementsByClassName("joukkueenNimi")[0].value;
					list['fysioterapeutti'] = "Fysioterapeutti: "+document.getElementsByClassName("fysioterapeutti")[0].value+'<br>'; 
					for (var i=1; i <= 10; i++) {
						if (document.getElementsByClassName("osallistujanNimi"+i)[0].value != "") {
							list['osallistujaNimi'+i] = "Osallistujan "+i+" nimi: "+document.getElementsByClassName("osallistujanNimi"+i)[0].value;
							list['osallistujaIka'+i] = "Osallistujan "+i+" ikä: "+document.getElementsByClassName("osallistujanIka"+i)[0].value;

							if (document.getElementsByClassName("painonpudotuskilpailu"+i)[0].checked)
							{
								list['painonpudotuskilpailu'+i] = "Osallistuja "+i+" osallistuu painonpudotuskilpailuun: "+document.getElementsByClassName("painonpudotuskilpailu"+i)[0].value+'<br>';
							}
							else if (document.getElementsByClassName("painonpudotuskilpailu"+i)[1].checked)
							{
								list['painonpudotuskilpailu'+i] = "Osallistuja "+i+" osallistuu painonpudotuskilpailuun: "+document.getElementsByClassName("painonpudotuskilpailu"+i)[1].value+'<br>';
							}
						}
						else {}
					}
					//list['joukkuePainonpudotus'] = document.getElementsByClassName("joukkuePainonpudotus"+i)[0].checked;

					if (document.getElementsByClassName("joukkuePainonpudotus")[0].checked)
					{
						list['joukkuePainonpudotus'] = "Joukkue osallistuu painonpudotuskilpailuun: "+document.getElementsByClassName("joukkuePainonpudotus")[0].value;
					}

					if (document.getElementsByClassName("joukkuePainonpudotus")[1].checked)
					{
						list['joukkuePainonpudotus'] = "Joukkue osallistuu painonpudotuskilpailuun: "+document.getElementsByClassName("joukkuePainonpudotus")[1].value;
					}
					list['joukkueenjohtaja'] = "Joukkueenjohtaja: "+document.getElementsByClassName("joukkueenjohtaja")[0].value;
					list['sposti'] = "Joukkueenjohtajan sähköposti: "+document.getElementsByClassName("sposti")[0].value;

					//for (var i=0; i < list.length; i++) {

					//}
					var jQueryfields = jQuery("#kuntohaasteWrapper .pakollinen");
					var check1 = 0;
					var check2 = 0;
					var check3 = 0;
					var check4 = 0;
					var check5 = 0;

					var painonpudotuskilpailu1 = document.getElementsByClassName("painonpudotuskilpailu1");
					for(i=0;i<painonpudotuskilpailu1.length;i++){
						if(painonpudotuskilpailu1[i].checked){
					    check1++;
					    break;
					    }
					}
					var painonpudotuskilpailu2 = document.getElementsByClassName("painonpudotuskilpailu2");
					var check2 = 0;
					for(i=0;i<painonpudotuskilpailu2.length;i++){
						if(painonpudotuskilpailu2[i].checked){
					    check2++;
					    break;
					    }
					}
					var painonpudotuskilpailu3 = document.getElementsByClassName("painonpudotuskilpailu3");
					var check3 = 0;
					for(i=0;i<painonpudotuskilpailu3.length;i++){
						if(painonpudotuskilpailu3[i].checked){
					    check3++;
					    break;
					    }
					}
					var painonpudotuskilpailu4 = document.getElementsByClassName("painonpudotuskilpailu4");
					var check4 = 0;
					for(i=0;i<painonpudotuskilpailu4.length;i++){
						if(painonpudotuskilpailu4[i].checked){
					    check4++;
					    break;
					    }
					}
					var painonpudotuskilpailu5 = document.getElementsByClassName("painonpudotuskilpailu5");
					var check5 = 0;
					for(i=0;i<painonpudotuskilpailu5.length;i++){
						if(painonpudotuskilpailu5[i].checked){
					    check5++;
					    break;
					    }
					}

					var joukkuePainonpudotus = document.getElementsByClassName("joukkuePainonpudotus");
					var check6 = 0;
					for(i=0;i<joukkuePainonpudotus.length;i++){
						if(joukkuePainonpudotus[i].checked){
					    check6++;
					    break;
					    }
					}

					var jQueryemptyFields = jQueryfields.filter(function() {
		            	return jQuery.trim(this.value) === "";         
			        });
			        if (check1 == 0 || check2 == 0 || check3 == 0 || check4 == 0 || check5 == 0 || check6 == 0) {
						check1 = 0;
					}
					else {
						check1 =1;
					}

		        	if (jQueryemptyFields.length || check1 == 0) {
			            alert("Jokin kohta jäi täyttämättä!");
			            event.preventDefault();
		        	
					} 	//joukkuePainonpudotus
						//painonpudotuskilpailu10
					else {
						kuntohaastePhp(list);
						window.location.href = "http://ratsastajankunto.fi/";
					}
				}
				else {
					alert("Et ole hyväksynyt kilpailun sääntöjä.");
					event.preventDefault();
					
				}
			});

			jQuery("#ota_yhteytta_form #saveForm").click(function() {

				var aihe = jQuery('#ota_yhteytta_form textarea[name="viestisi"]').val();
				var nimi = jQuery('#ota_yhteytta_form input[name="nimi"]').val();
				var sposti = jQuery('#ota_yhteytta_form input[name="sposti"]').val();
				var puh = jQuery('#ota_yhteytta_form input[name="puh"]').val();
				var yhteydenotto = "";
				if(jQuery('#element_6_1').length > 0){
					yhteydenotto = jQuery('#element_6_1').val();
				}
				else if(jQuery('#element_6_2').length > 0){
					yhteydenotto = jQuery('#element_6_2').val();
				}
				else if(jQuery('#element_6_3').length > 0){
					yhteydenotto = jQuery('#element_6_3').val();
				}
				var list = {};
				list["tyyppi"] = "ota_yhteytta";
 				list["aihe"] = aihe;
 				list["nimi"] = nimi;
 				list["sposti"] = sposti;
 				list["puh"] = puh;
 				list["yhteydenotto"] = yhteydenotto;

 				if (aihe == "" || nimi == "" || sposti == "" || yhteydenotto == "") {
 					alert("Et täyttänyt kaikkia tarvittavia kenttiä.")
 				}
 				else {
 					sendToPhp(list);
 				}
			});

			jQuery("#tilaa_luento_form #saveForm").click(function() {
				var viesti = jQuery('#tilaa_luento_form textarea[name="viestisi"]').val();
				var nimi = jQuery('#tilaa_luento_form input[name="nimi"]').val();
				var osoite = jQuery('#tilaa_luento_form input[name="osoite"]').val();
				var sposti = jQuery('#tilaa_luento_form input[name="sposti"]').val();
				var puh = jQuery('#tilaa_luento_form input[name="puh"]').val();

				var list = {};
				list["tyyppi"] = "tilaa_luento";
 				list["viesti"] = viesti;
 				list["nimi"] = nimi;
 				list["osoite"] = osoite;
 				list["sposti"] = sposti;
 				list["puh"] = puh;

 				if (viesti == "" || nimi == "" || osoite == "" || sposti == "") {
 					alert("Et täyttänyt kaikkia tarvittavia kenttiä.")
 				}
 				else {
 					sendToPhp(list);
 				}
			});

			jQuery("#osallistu_koulutukseen_form #saveForm").click(function() {
				var koulutuspaiva = jQuery('#osallistu_koulutukseen_form input[name="koulutuspaiva"]').val();
				var nimi = jQuery('#osallistu_koulutukseen_form input[name="nimi"]').val();
				var osoite = jQuery('#osallistu_koulutukseen_form input[name="osoite"]').val();
				var sposti = jQuery('#osallistu_koulutukseen_form input[name="sposti"]').val();
				var puh = jQuery('#osallistu_koulutukseen_form input[name="puh"]').val();
				var lisatietoja = jQuery('#osallistu_koulutukseen_form textarea[name="lisatietoja"]').val();

				var list = {};
				list["tyyppi"] = "osallistu_koulutukseen";
				list["koulutuspaiva"] = koulutuspaiva;
 				list["nimi"] = nimi;
 				list["osoite"] = osoite;
 				list["sposti"] = sposti;
 				list["puh"] = puh;
 				list["lisatietoja"] = lisatietoja;

 				if (koulutuspaiva == "" || nimi == "" || osoite == "" || sposti == "") {
 					alert("Et täyttänyt kaikkia tarvittavia kenttiä.")
 				}
 				else {
 					sendToPhp(list);
 				}
			});

			jQuery("#ilmoittaudu_testaukseen_form #saveForm").click(function() {
				if (jQuery('#ilmoittaudu_testaukseen_form input[name="aerobisen_kunnon_testaus"]').is(':checked')) {
					var aerobisen_kunnon_testaus = "kylla";
				}
				if (jQuery('#ilmoittaudu_testaukseen_form input[name="harrastajan_tasapaino_ja_lihaskuntotestaus"]').is(':checked')) {
					var harrastajan_tasapaino_ja_lihaskuntotestaus = "kylla";
				}
				if (jQuery('#ilmoittaudu_testaukseen_form input[name="laaja_tasapaino_ja_lihaskuntotestaus"]').is(':checked')) {
					var laaja_tasapaino_ja_lihaskuntotestaus = "kylla";
				}
				if (jQuery('#ilmoittaudu_testaukseen_form input[name="harrastajan_liikkuvuustestaus"]').is(':checked')) {
					var harrastajan_liikkuvuustestaus = "kylla";
				}
				if (jQuery('#ilmoittaudu_testaukseen_form input[name="laaja_liikkuvuustestaus"]').is(':checked')) {
					var laaja_liikkuvuustestaus = "kylla";
				}
				var kuntotestaajan_valinta = jQuery('#ilmoittaudu_testaukseen_form select[name="kuntotestaajan_valinta"]').val();

				if (kuntotestaajan_valinta != "valitkaa minulle sopiva") {
					var testaajaSposti = palautaTestaajanSposti(kuntotestaajan_valinta);
				}
				else {
					var testaajaSposti = "ei";
				}
				var nimi = jQuery('#ilmoittaudu_testaukseen_form input[name="nimi"]').val();
				var osoite = jQuery('#ilmoittaudu_testaukseen_form input[name="osoite"]').val();
				var sposti = jQuery('#ilmoittaudu_testaukseen_form input[name="sposti"]').val();
				var puh = jQuery('#ilmoittaudu_testaukseen_form input[name="puh"]').val();
				var lisatietoja = jQuery('#ilmoittaudu_testaukseen_form textarea[name="lisatietoja"]').val();


				var list = {};
				list["testaajaSposti"] = testaajaSposti;
				list["tyyppi"] = "ilmoittaudu_testaukseen";
				list["aerobisen_kunnon_testaus"] = aerobisen_kunnon_testaus;
				list["harrastajan_tasapaino_ja_lihaskuntotestaus"] = harrastajan_tasapaino_ja_lihaskuntotestaus;
				list["laaja_tasapaino_ja_lihaskuntotestaus"] = laaja_tasapaino_ja_lihaskuntotestaus;
				list["harrastajan_liikkuvuustestaus"] = harrastajan_liikkuvuustestaus;
				list["laaja_liikkuvuustestaus"] = laaja_liikkuvuustestaus;
				list["kuntotestaajan_valinta"] = kuntotestaajan_valinta;
 				list["nimi"] = nimi;
 				list["osoite"] = osoite;
 				list["sposti"] = sposti;
 				list["puh"] = puh;
 				list["lisatietoja"] = lisatietoja;

 				if (kuntotestaajan_valinta == "" || nimi == "" || osoite == "" || sposti == "") {
 					alert("Et täyttänyt kaikkia tarvittavia kenttiä.")
 				}
 				else {
 					sendToPhp(list);
 				}
			});

			jQuery("#tukipyynto_form #saveForm").click(function() {
				var lisatietoja = jQuery('#tukipyynto_form textarea[name="lisatietoja"]').val();
				var nimi = jQuery('#tukipyynto_form input[name="nimi"]').val();
				var sposti = jQuery('#tukipyynto_form input[name="sposti"]').val();
				var puh = jQuery('#tukipyynto_form input[name="puh"]').val();
				var yhteydenotto;
				if(jQuery('#element_6_1').length > 0){
					yhteydenotto = jQuery('#element_6_1').val();
				}
				else if(jQuery('#element_6_2').length > 0){
					yhteydenotto = jQuery('#element_6_2').val();
				}
				else if(jQuery('#element_6_3').length > 0){
					yhteydenotto = jQuery('#element_6_3').val();
				}

 				if (nimi == "" || sposti == "" || yhteydenotto == "") {
 					alert("Et täyttänyt kaikkia tarvittavia kenttiä.")
 				}
 				else {
 					sendToPhp(list);
 				}
			});

			jQuery("#ss-submit").click(function() {

				validoi();

				if (document.getElementById("esitietolomake"))  {
					window.scrollTo(0, 0);

					if (document.getElementById("onnettomuus")) {
						if (document.getElementById("group_2118619097_2").checked == true) {
							document.getElementById("onnettomuus").style.display = "none";
							document.getElementById("onnettomuus").style.display = "none";
						}
				}
				}
				if (document.getElementById("toistokyykistys_vasen")) {
					if (document.getElementById("group_1958349674_2").checked == true) {
						document.getElementById("toistokyykistys_vasen").style.display = "none";
						document.getElementById("toistokyykistys_oikea").style.display = "none";
					}
					if (document.getElementById("kilogramma_vasen")) {
						if (document.getElementById("group_431145111_1").checked == true) {
							document.getElementById("kilogramma_vasen").innerHTML = "10 kg";
							document.getElementById("kilogramma_oikea").innerHTML = "10 kg";
						}
						else if (document.getElementById("group_431145111_2").checked == true) {
							document.getElementById("kilogramma_vasen").innerHTML = "5 kg";
							document.getElementById("kilogramma_oikea").innerHTML = "5 kg";
						}
					}
				}
				if (document.getElementById("aerobinenLomake")) {

		    		if (document.getElementById("step2").style.display == "block") {
	    			
		    			console.log("harrastajatesti");

			    		if (document.getElementById("group_1940934177_1").checked == true) {
			    			document.getElementById("ratsastusTesti").innerHTML = "Harrasteratsastajan 1,5 km:n juoksutesti";
			    			testiTyyppi = "Harrasteratsastajan 1,5 km:n juoksutesti";
			    		} 
			    		else if (document.getElementById("group_1940934177_2").checked == true) {
			    			document.getElementById("ratsastusTesti").innerHTML = "Kouluratsastajan 2 km:n juoksutesti";
			    			testiTyyppi = "Kouluratsastajan 2 km:n juoksutesti";
			    		}
			    		else if (document.getElementById("group_1940934177_3").checked == true) {
			    			document.getElementById("ratsastusTesti").innerHTML = "Esteratsastajan 2 km:n juoksutesti";
			    			testiTyyppi = "Esteratsastajan 2 km:n juoksutesti";
			    		}
			    		else if (document.getElementById("group_1940934177_4").checked == true) {
			    			document.getElementById("ratsastusTesti").innerHTML = "Kenttäratsastajan 3 km:n juoksutesti";
			    			testiTyyppi = "Kenttäratsastajan 3 km:n juoksutesti";
				    	}
				    	else {

				    	}
				    }
				    else {

				    }
			    }
		    	if (document.getElementById("tasapainoLomake")) {
			    	if (document.getElementById("step1").style.display == "block") {
			    		if (document.getElementById("group_1958349674_1").checked == true) {
			    			testiTyyppi = "laaja";
			    		}
			    	}
			    	if (document.getElementById("step1").style.display == "block") {
			    		if (document.getElementById("group_1958349674_2").checked == true) {
			    			testiTyyppi = "harrastaja";
			    			jQuery("#ss-form").formwizard("next");
			    		}
			    	}
			    }
				if (document.getElementById("verenpaine_yla")) {

					if (document.getElementById("group_1958349674_2").checked == true) {
						document.getElementById("verenpaine_yla").style.display = "none";
						document.getElementById("verenpaine_ala").style.display = "none";
					}
				}
				
				if (lastStep) {
					if (document.getElementById("aerobinenLomake"))
					{
						jQuery.ajaxSetup({async: false});

						var testattava = {};
						testattava['nimi'] = jQuery("#entry_1901201948").val();
						testattava['paivamaara'] = jQuery("#entry_957589819").val();
						testattava['ika'] = parseInt(jQuery("#entry_418115578").val());
						testattava['testaaja'] = jQuery("#entry_478222109").val();
						

						if (document.getElementById("group_212027653_1").checked == true) {
							testattava['sukupuoli'] = 'mies';
						}
						else if (document.getElementById("group_212027653_2").checked == true) {
							testattava['sukupuoli'] = 'nainen';
						}					

						testattava['aika_minuutit'] = parseInt(jQuery("#entry\\.837443895_minute").val()); 
						testattava['aika_sekuntit'] = parseInt(jQuery("#entry\\.837443895_second").val()); 

						var testinTulos = aerobisen_tulokset(testattava['ika'], testattava['sukupuoli'], testattava['aika_minuutit'], testattava['aika_sekuntit'], testiTyyppi);
							
						console.log("nakki");
						jQuery('#aerobinenLomake').load('../../aerobisen_palaute.html #lomake');
						jQuery('#testipvm').append(testattava['paivamaara']);
						jQuery('#testaaja').append(testattava['testaaja']);
						jQuery('#ika').append(testattava['ika']);
						jQuery('#testi').append(testiTyyppi);
						jQuery('#aika').append(testattava['aika_minuutit']+" minuuttia ");
						jQuery('#aika').append(testattava['aika_sekuntit']+" sekuntia ");
						jQuery('#testattava').append(testattava['nimi']);
						jQuery('#tulos').append(testinTulos);


						var testiTulos = document.getElementById('aerobinenLomake').innerHTML;
						testiTulos = testiTulos.replace('<button class="greenButton" id="aerobinenLomakeTallennus">Tallenna lomake PDF</button><br><br><br>', '');

						var testaajaSposti = palautaTestaajanSposti(testattava['testaaja']);
						aerobinenLomakePhp(testaajaSposti, testiTulos);



						jQuery.ajaxSetup({async: true});
					}
					if (document.getElementById("liikkuvuusLomake"))
					{
						jQuery.ajaxSetup({async: false});

						var testattava = {};
						testattava['nimi'] = jQuery("#entry_1260019553").val();
						testattava['paivamaara'] = jQuery("#entry_957589819").val();
						testattava['syntymaAika'] = jQuery("#entry_803129568").val();
						testattava['testaaja'] = jQuery("#entry_478222109").val();
						testattava['pituus'] = jQuery("#entry_478222109").val();
						testattava['paino'] = jQuery("#entry_478222109").val();
						testattava['bmi'] = jQuery("#entry_478222109").val();

						testattava['suoraNostotestiOikea'] = jQuery("#entry_1241738554").val();
						testattava['suoraNostotestiVasen'] = jQuery("#entry_1599602513").val();
						testattava['lonkanKoukistusOikea'] = jQuery("#entry_1690039805").val();
						testattava['lonkanKoukistusVasen'] = jQuery("#entry_1134317992").val();
						testattava['lonkanOjentajaOikea'] = jQuery("#entry_1851897553").val();
						testattava['lonkanOjentajaVasen'] = jQuery("#entry_630537181").val();
						testattava['lonkanLoitontajaOikea'] = jQuery("#entry_281984149").val();
						testattava['lonkanLoitontajaVasen'] = jQuery("#entry_527559911").val();
						testattava['polvenKoukistusOikea'] = jQuery("#entry_38497119").val();
						testattava['polvenKoukistusVasen'] = jQuery("#entry_2078868509").val();
						testattava['lonkanSisakiertoOikea'] = jQuery("#entry_1903176250").val();
						testattava['lonkanSisakiertoVasen'] = jQuery("#entry_1065028382").val();
						testattava['lonkanUlkoiertoOikea'] = jQuery("#entry_1076213284").val();
						testattava['lonkanUlkokiertoVasen'] = jQuery("#entry_1871402793").val();

						testattava['nilkanKoukistusOikea'] = jQuery("#entry_453799454").val();
						testattava['nilkanKoukistusVasen'] = jQuery("#entry_292394307").val();
						testattava['rintarankaOikea'] = jQuery("#entry_77946111").val();
						testattava['rintarankaVasen'] = jQuery("#entry_871139232").val();
						testattava['sivutaivutusOikea'] = jQuery("#entry_438385534").val();
						testattava['sivutaivutusVasen'] = jQuery("#entry_29767702").val();


						var testinTulos = aerobisen_tulokset(testattava['ika'], testattava['sukupuoli'], testattava['aika_minuutit'], testattava['aika_sekuntit'], testiTyyppi);
							
						/*console.log("nakki");
						jQuery('#aerobinenLomake').load('../../aerobisen_palaute.html #lomake');
						jQuery('#testipvm').append(testattava['paivamaara']);
						jQuery('#testaaja').append(testattava['testaaja']);
						jQuery('#ika').append(testattava['ika']);
						jQuery('#testi').append(testiTyyppi);
						jQuery('#aika').append(testattava['aika_minuutit']+" minuuttia ");
						jQuery('#aika').append(testattava['aika_sekuntit']+" sekuntia ");
						jQuery('#testattava').append(testattava['nimi']);
						jQuery('#tulos').append(testinTulos);*/


						//var testiTulos = document.getElementById('aerobinenLomake').innerHTML;
						//testiTulos = testiTulos.replace('<button class="greenButton" id="aerobinenLomakeTallennus">Tallenna lomake PDF</button><br><br><br>', '');

						var testaajaSposti = palautaTestaajanSposti(testattava['testaaja']);
						//aerobinenLomakePhp(testaajaSposti, testiTulos);



						jQuery.ajaxSetup({async: true});
					}
					else if (document.getElementById("tasapainoLomake")) 
					{
						//savePdf();
						//window.location.href = 'http://webpoint.fi/demo/hevonkuusi/tasapainolomake-tallennettu';

						jQuery.ajaxSetup({async: false});

						var testattava = {};
						testattava['nimi'] = jQuery("#entry_1126033270").val();
						testattava['paivamaara'] = jQuery("#entry_185665335").val();
						testattava['ika'] = jQuery("#entry_724869971").val();
						testattava['testaaja'] = jQuery("#entry_682370654").val();
						


						testattava['pituus'] = jQuery("#entry_184052963").val();
						testattava['paino'] = jQuery("#entry_1584613510").val();
						testattava['pef_alku'] = jQuery("#entry_1229091362").val();
						testattava['rasvaprosentti'] = jQuery("#entry_2078064603").val();
						testattava['pef_loppu'] = jQuery("#entry_754505785").val();
						testattava['tasapaino_vasen_jalka'] = jQuery("#entry_485868883").val();
						testattava['tasapaino_oikea_jalka'] = jQuery("#entry_1878669865").val();
						testattava['dynaaminen_vatsa'] = jQuery("#entry_1183317315").val();

						testattava['dynaaminen_selka'] = jQuery("#entry_1929125843").val();
						testattava['toistokyykitys'] = jQuery("#entry_796013404").val();
						testattava['toistokyykitys_vasen'] = jQuery("#entry_58942850").val();
						testattava['toistokyykitys_oikea'] = jQuery("#entry_683309102").val();

						testattava['ylaraaja_vasen'] = jQuery("#entry_1942493329").val();
						testattava['ylaraaja_oikea'] = jQuery("#entry_1740203785").val();
						testattava['staattinen_vatsa'] = jQuery("#entry_1727026797").val();
						testattava['staattinen_selka'] = jQuery("#entry_910381483").val();

						testattava['verenpaine_yla'] = jQuery("#entry_1989264410").val();
						testattava['verenpaine_ala'] = jQuery("#entry_1196390467").val();

						//var helpotettu = document.getElementById("group_1984390535_1").checked;


						if (document.getElementById("group_431145111_1").checked == true) {
							testattava['sukupuoli'] = 'mies';
						}
						else if (document.getElementById("group_431145111_2").checked == true) {
							testattava['sukupuoli'] = 'nainen';
						}					
						var bmi = testattava['paino'] / (testattava['pituus']*testattava['pituus']/10000);
						bmi = Math.round(bmi * 10/10);


						var tasapaino_vasen_jalka = voimaJaTasapainoTulos(testattava['ika'], testattava['sukupuoli'], testattava['tasapaino_vasen_jalka']);
						var tasapaino_oikea_jalka = voimaJaTasapainoTulos(testattava['ika'], testattava['sukupuoli'], testattava['tasapaino_oikea_jalka']);

						var dynaaminen_vatsa = dynaaminenVatsalihastesti(testattava['ika'], testattava['sukupuoli'], testattava['dynaaminen_vatsa']);
						var dynaaminen_selka = dynaaminenSelkalihastesti(testattava['ika'], testattava['sukupuoli'], testattava['dynaaminen_selka']);

						var toistokyykitys = toistokyykistysTesti(testattava['ika'], testattava['sukupuoli'], testattava['toistokyykitys']);


						var ylaraaja_vasen = ylaraajojenToistotesti(testattava['ika'], testattava['sukupuoli'], testattava['ylaraaja_vasen']);
						var ylaraaja_oikea = ylaraajojenToistotesti(testattava['ika'], testattava['sukupuoli'], testattava['ylaraaja_oikea']);


						var staattinen_vatsa = staattinenVatsalihastesti(testattava['ika'], testattava['sukupuoli'], testattava['staattinen_vatsa']);
						var staattinen_selka = staattinenSelkalihastesti(testattava['ika'], testattava['sukupuoli'], testattava['staattinen_selka']);


						var tasapaino_jalka_yhteenveto = palautaTasapainoTeksti("yksikko", tasapaino_vasen_jalka, tasapaino_oikea_jalka);
						

						if (document.getElementById("group_1984390535_1").checked == true) {
							dynaaminen_vatsa = 1;
							var vatsa_helpotettu = true;
							//testattava['helpotettu_dynaaminen_vatsa'] = jQuery("#entry_1984390535").val();
						}
						else {
							var vatsa_helpotettu = false;
						}
						var vatsa_selka_vertaus = vertaaTasapainoArvo("monikko", dynaaminen_vatsa, dynaaminen_selka);


						if (testiTyyppi == "harrastaja") {
							jQuery('#tasapainoLomake').load('../../tasapaino_palaute_harrastaja.html #lomake');
						}
						else {
							jQuery('#tasapainoLomake').load('../../tasapaino_palaute.html #lomake');

							jQuery('#verenpaineYla').append(testattava['verenpaine_yla']);
							jQuery('#verenpaineAla').append(testattava['verenpaine_ala']);

							jQuery('#toistokyykitys_vasen').append(testattava['toistokyykitys_vasen']);
							jQuery('#toistokyykitys_oikea').append(testattava['toistokyykitys_oikea']);
						}

						var vatsalihas_yhteenveto = palautaTasapainoTeksti("yksikko", dynaaminen_vatsa, dynaaminen_vatsa);
						var selkalihas_yhteenveto = palautaTasapainoTeksti("yksikko", dynaaminen_selka, dynaaminen_selka);
						var toistokyykitys_yhteenveto = palautaTasapainoTeksti("yksikko", toistokyykitys, toistokyykitys);

						if ((testattava['toistokyykitys_oikea'] - testattava['toistokyykitys_vasen']) > 1) {
							var jalka_vertaus = "vahvempi";
						}
						else if ((testattava['toistokyykitys_oikea'] - testattava['toistokyykitys_vasen']) < -1) {
							var jalka_vertaus = "heikompi";
						}
						else {
							var jalka_vertaus = "yhtä vahva";
						}
	
						var dynaaminen_vatsa_selka = palautaTasapainoTeksti("yksikko", dynaaminen_vatsa, dynaaminen_selka);
						var staattinen_vatsa_selka_yhteenveto = palautaTasapainoTeksti("yksikko", staattinen_vatsa, staattinen_selka);
						var ylaraaja_yhteenveto = palautaTasapainoTeksti("yksikko", ylaraaja_oikea, ylaraaja_vasen);
						var ylaraaja_vertaus = vertaaTasapainoArvo("yksikko", ylaraaja_oikea, ylaraaja_vasen);
						var bmiluokitus = bmi_luokitus(bmi);


						jQuery('#testipvm').append(testattava['paivamaara']);
						jQuery('#testaaja').append(testattava['testaaja']);
						jQuery('#testattava').append(testattava['nimi']);
						jQuery('#ika').append(testattava['ika']+' vuotta');

						jQuery('#pituus').append(testattava['pituus']+' cm');
						jQuery('#paino').append(testattava['paino']+' kg');
						jQuery('#bmi').append(bmi);
						jQuery('#bmi_uudestaan').append(bmi);
						jQuery('#bmiluokitus').append(bmiluokitus);
						jQuery('#rasvaprosentti').append(testattava['rasvaprosentti']+'%');
						jQuery('#pef_alku').append(testattava['pef_alku']+' (ennen testiä)');
						jQuery('#pef_loppu').append(testattava['pef_loppu']+'(testin jälkeen)');

						jQuery('#pef_alku_uudestaan').append(testattava['pef_alku']+' (ennen testiä)');
						jQuery('#pef_loppu_uudestaan').append(testattava['pef_loppu']+' (testin jälkeen)');


						jQuery('#tasapaino_vasen_jalka').append(tasapaino_vasen_jalka+'/5 ('+testattava['tasapaino_vasen_jalka']+' lattia kosketusta)');
						jQuery('#tasapaino_oikea_jalka').append(tasapaino_oikea_jalka+'/5 ('+testattava['tasapaino_oikea_jalka']+' lattia kosketusta)');

						jQuery('#tasapaino_oikea_jalka_uudestaan').append(testattava['tasapaino_oikea_jalka']);
						jQuery('#tasapaino_vasen_jalka_uudestaan').append(testattava['tasapaino_vasen_jalka']);

						jQuery('#tasapaino_jalka_yhteenveto').append(tasapaino_jalka_yhteenveto);

						if ((dynaaminen_vatsa == 1) && (vatsa_helpotettu == true)) {
							jQuery('#dynaaminen_vatsa').append('1/5 ('+testattava['dynaaminen_vatsa']+' toistoa helpotettuna)');
						}
						else {
							jQuery('#dynaaminen_vatsa').append(dynaaminen_vatsa+'/5 ('+testattava['dynaaminen_vatsa']+' toistoa)');
						}

						jQuery('#dynaaminen_selka').append(dynaaminen_selka+'/5 ('+testattava['dynaaminen_selka']+' toistoa)');

						jQuery('#vatsa_selka_vertaus').append(vatsa_selka_vertaus);
						jQuery('#vatsalihas_yhteenveto').append(vatsalihas_yhteenveto);
						jQuery('#selkalihas_yhteenveto').append(selkalihas_yhteenveto);

						jQuery('#toistokyykitys').append(toistokyykitys+'/5 ('+testattava['toistokyykitys']+' toistoa)');

						jQuery('#toistokyykistys_vasen').append(testattava['toistokyykitys_vasen']);
						jQuery('#toistokyykistys_oikea').append(testattava['toistokyykitys_oikea']);

						jQuery('#toistokyykitys_yhteenveto').append(toistokyykitys_yhteenveto);
						jQuery('#jalka_vertaus').append(jalka_vertaus);

						jQuery('#ylaraaja_vasen').append(ylaraaja_vasen+'/5 ('+testattava['ylaraaja_vasen']+' toistoa)');
						jQuery('#ylaraaja_oikea').append(ylaraaja_oikea+'/5 ('+testattava['ylaraaja_oikea']+' toistoa)');

						jQuery('#ylaraaja_vertaus').append(ylaraaja_vertaus);

						jQuery('#ylaraaja_yhteenveto').append(ylaraaja_yhteenveto);

						var vatsaProsentti = Math.round(testattava['staattinen_vatsa'] / (60*6)*100);
						var selkaProsentti = Math.round(testattava['staattinen_selka'] / (60*4)*100);

						if (vatsaProsentti > 100) {
							vatsaProsentti = 100;
						}
						if (selkaProsentti > 100) {
							selkaProsentti = 100;
						}

						jQuery('#staattinen_vatsa').append(staattinen_vatsa+'/5 ('+vatsaProsentti+'% maksimista, maksimi 6 min.)');
						jQuery('#staattinen_selka').append(staattinen_selka+'/5 ('+selkaProsentti+'% maksimista, maksimi 4 min.)');
						
						jQuery('#staattinen_vatsa_selka').append(staattinen_vatsa_selka_yhteenveto);
						jQuery('#dynaaminen_vatsa_selka').append(dynaaminen_vatsa_selka);

						var testiTulos = document.getElementById('lomakeSisalto').innerHTML;
						var testaajaSposti = palautaTestaajanSposti(testattava['testaaja']);

						testiTulos = testiTulos.replace('<button class="greenButton" id="tasapainoLomakeTallennus">Tallenna lomake PDF</button><br><br><br>', '');
						testiTulos = testiTulos.replace('<div id="muitaHuomioitaContent"></div><textarea id="muitaHuomioita" rows="6" cols="50"></textarea>', '');
						testiTulos = testiTulos.replace('<strong>Kehitettäviä osa-alueita:</strong></p><div id="kehitettavaaContent"></div><textarea id="kehitettavaa" rows="6" cols="50"></textarea>', '');

						tasapainoLomakePhp(testaajaSposti, testiTulos);

						jQuery.ajaxSetup({async: true});

					}
					else if (document.getElementById("esitietolomake"))  {
						esitietolomakkeenArvot();

						window.location = "http://ratsastajankunto.fi/fi/";
					}
				}

			});

			jQuery("#ss-form").bind("step_shown", function(event, data){
				lastStep = data.isLastStep;
				if (document.getElementById("entry_184052963")) //Jos tasapaino ja lihaslomake valittu
				{
				    if ((document.getElementById("group_1958349674_2").checked == true) && (document.getElementById("step2").style.display == "block"))
				    {
				    	document.getElementById("step2").style.display = "none";
				    }
				}
				else if ((document.getElementById("step1").style.display == "block") && (document.getElementById("step2").style.display == "block")) {
				    	document.getElementById("step2").style.display = "none";
			    }
			    else if ((document.getElementById("step2").style.display == "block") && (document.getElementById("step3").style.display == "block")) {
			    	document.getElementById("step3").style.display = "none";
			    }
			    if (!document.getElementById("aerobinenLomake") && !document.getElementById("liikkuvuusLomake")) {
				    if ((document.getElementById("step3").style.display == "block") && (document.getElementById("step4").style.display == "block")) {
				    	document.getElementById("step4").style.display = "none";
				    }
				    if (!document.getElementById("tasapainoLomake")) {

					    if ((document.getElementById("step4").style.display == "block") && (document.getElementById("step5").style.display == "block")) {
					    	document.getElementById("step5").style.display = "none";
					    }
					    else if ((document.getElementById("step5").style.display == "block") && (document.getElementById("step6").style.display == "block")) {
					    	document.getElementById("step6").style.display = "none";
					    }
					    else if ((document.getElementById("step6").style.display == "block") && (document.getElementById("step7").style.display == "block")) {
					    	document.getElementById("step7").style.display = "none";
					    }
					    else if ((document.getElementById("step7").style.display == "block") && (document.getElementById("step8").style.display == "block")) {
					    	document.getElementById("step8").style.display = "none";
					    }
					}
				}
			    /*else if (document.getElementById("esitietolomake")) {

			    curStep = data.activatedSteps[data.activatedSteps.length-1];
			    curStep = curStep.replace( /^\D+/g, '');
			    curStep++;
			    nextStep = "step"+curStep;
			    setTimeout(function(){document.getElementById(nextStep).style.display == "none";}, 500);

					if ((document.getElementById(step).style.display == "block") && (document.getElementById(lastStep).style.display == "block")) {
						alert("eka"+step+"toka"+lastStep);
					    //document.getElementById(lastStep).style.display = "none";
				    }
			    }*/
			});
			jQuery("#ss-form").bind("before_step_shown", function(event, data){
				step  = data.currentStep;
				
			});
			jQuery("#aerobinenLomake").on("click", "#aerobinenLomakeTallennus", function(){

				console.log("klikki23");

				jQuery.ajaxSetup({async: false});
				
				//jQuery('#tallennettuLomake').load('aerobisen_palaute.html #lomake');
				//jQuery("#tallenettuLomake").empty();
				//var content = jQuery('#aerobinenLomake').html();
				console.log("klikki");

		        var pdf = new jsPDF('p', 'pt', 'letter'),
		        source = jQuery('#lomakeSisalto')[0],
		        margins = {
		            top: 40,
		            bottom: 40,
		            left: 40,
		            right: 40,
		            width: 522
		        };
		        
		        pdf.fromHTML(
		            source,
		            margins.left,
		            margins.top,
		            {
		            'width': margins.width
		            },
		            function (dispose) {
		                pdf.save('Aerobinen_lomake.pdf');
		            },
		            margins
		       );
				

				jQuery.ajaxSetup({async: true}); 

			});
			jQuery("#tasapainoLomake").on("click", "#tasapainoLomakeTallennus", function(){
				jQuery.ajaxSetup({async: false});
				
				//jQuery('#tallennettuLomake').load('aerobisen_palaute.html #lomake');
				//jQuery("#tallenettuLomake").empty();
				//var content = jQuery('#aerobinenLomake').html();


				document.getElementById("muitaHuomioitaContent").innerHTML = document.getElementById("muitaHuomioita").value;
				document.getElementById("kehitettavaaContent").innerHTML = document.getElementById("kehitettavaa").value;

				console.log("klikki");

		        var pdf = new jsPDF('p', 'pt', 'letter'),
		        source = jQuery('#lomakeSisalto')[0],
		        margins = {
		            top: 40,
		            bottom: 40,
		            left: 40,
		            right: 40,
		            width: 522
		        };
		        
		        pdf.fromHTML(
		            source,
		            margins.left,
		            margins.top,
		            {
		            'width': margins.width
		            },
		            function (dispose) {
		                pdf.save('Tasapainolomake.pdf');
		            },
		            margins
		       );


				jQuery.ajaxSetup({async: true}); 
			});

		});

		function esitietolomakkeenArvot() {

				var list = {};

				list["testaajan_sposti"] = palautaTestaajanSposti(jQuery('#entry_1972455574').val());
				list["tayttaja_sposti"] = jQuery('#entry_1119203844').val();
				list["testaaja"] = "Testaaja: "+jQuery('#entry_1972455574').val();
				list["testattavan_nimi"] = "Testattavan nimi: "+jQuery('#entry_57946860').val();
 				list["lahiosoite"] = "Lähiosoite: "+ jQuery('#entry_1882217272').val();
 				list["postinumero"] = "Postinumero: "+jQuery('#entry_693722449').val();
 				list["postitoimipaikka"] = "Postitoimipaikka: "+jQuery('#entry_699983804').val();
 				list["puhelinnumero"] = "Puhelinnumero: "+jQuery('#entry_1088021000').val();
 				list["sahkopostiosoite"] = "Sähköposti: "+jQuery('#entry_1119203844').val();
 				list["tyopaikka_koulu"] = "Työpaikka/koulu: "+jQuery('#entry_1465863617').val();
 				list["ammatti"] = "Ammatti: "+jQuery('#entry_474528391').val()+'<br>';


				if (document.getElementById("group_1036258318_1").checked == true) {
					list["sukupuoli"] = "Sukupuoli: "+'mies';
				}
				else if (document.getElementById("group_1036258318_2").checked == true) {
					list["sukupuoli"] = "Sukupuoli: "+'nainen';
				}
 				list["ika"] = "Ikä: "+jQuery('#entry_649011788').val();
 				list["paino"] = "Paino: "+jQuery('#entry_255141836').val();
 				list["pituus"] = "Pituus: "+jQuery('#entry_1514337115').val();
 				list["verenpaine_yla"] = "Veren yläpaine mmHg: "+jQuery('#entry_111049475').val();
 				list["verenpaine_ala"] = "Veren alapaine mmHg: "+jQuery('#entry_1456617393').val();



 				list["ammattituubaliiba"] = "<br>Todetut sairaudet:";
 				
 				list["todetut_sairaudet"] = "<ul>";
 				for (var y=1; y < 36; y++) {
 					if (document.getElementById("group_140656405_"+y).checked == true) {
 						list["todetut_sairaudet"] += '<li>'+jQuery('#group_140656405_'+y).val()+'</li>';
 					}
 				}
 				list["todetut_sairaudet"] += "</ul>";
 				list["muu_sairaus"] = "Muu, mikä?: "+jQuery('#entry_469609162').val();

				if (document.getElementById("group_1385416044_1").checked == true) {
					list["laakitys"] = "Käytätkö säännöllisesti jotakin lääkitystä: "+'Kyllä';
				}
				else if (document.getElementById("group_1385416044_2").checked == true) {
					list["laakitys"] = "Käytätkö säännöllisesti jotakin lääkitystä: "+'En';
				}
				list["laakitys"] = "Tarkemmin lääkityksestäsi: "+jQuery('#entry_2034892924').val()+"<br>Oireet viimeisen 6kk:n aikana: ";
				list["todetut_oireet"] = "<ul>";
 				for (var g=1; g < 8; g++) {
 					if (document.getElementById("group_483764105_"+g).checked == true) {
 						list["todetut_oireet"] += '<li>'+jQuery('#group_483764105_'+g).val()+'</li>';
 					}
 				}
 				list["todetut_oireet"] += "</ul>";
				list["muu_oire"] = "Jokin muu, mikä?: "+jQuery('#entry_1855021017').val()+"<br>Viimeisen 6kk aikana liikkumista haittaavat nivelkivut:";
				list["nivelkivut"] = "<ul>";
 				for (var g=1; g < 9; g++) {
 					if (document.getElementById("group_401254638_"+g).checked == true) {
 						list["nivelkivut"] += '<li>'+jQuery('#group_401254638_'+g).val()+'</li>';
 					}
 				}
 				list["nivelkivut"] += "</ul>";
				if (document.getElementById("group_1273911425_1").checked == true) {
					list["tupakointi"] = "Tupakointi: "+'Ei koskaan';
				}
				else if (document.getElementById("group_1273911425_2").checked == true) {
					list["tupakointi"] = "Tupakointi: "+'Ei säännöllisesti';
				}
				else if (document.getElementById("group_1273911425_3").checked == true) {
					list["tupakointi"] = "Tupakointi: "+'Tupakoi säännöllisesti';
				}
				else if (document.getElementById("group_1273911425_4").checked == true) {
					list["tupakointi"] = "Tupakointi: "+'On lopettanut';
				}

				list["ratsastuslajit"] = "<br>Ratsastuslajit: ";
				list["ratsastuslaji"] = "<ul>";
 				for (var g=1; g < 11; g++) {
 					if (document.getElementById("group_1021337061_"+g).checked == true) {
 						list["ratsastuslaji"] += '<li>'+jQuery('#group_1021337061_'+g).val()+'</li>';
 					}
 				}
 				list["ratsastuslaji"] += "</ul>";
 				list["muu_ratsastuslaji"] = "Muu, mikä?: "+jQuery('#entry_976116047').val();

 				list["ratsastustaso"] = "Ratsastustaso: ";
 				for (var g=1; g < 6; g++) {
 					if (document.getElementById("group_1073753269_"+g).checked == true) {
 						list["ratsastustaso"] += jQuery('#group_1073753269_'+g).val();
 					}
 				}
 				list["ratsastuskerrat"] = "Ratsastuskerrat viikossa (keskimäärin): ";
 				for (var g=1; g < 6; g++) {
 					if (document.getElementById("group_1296594145_"+g).checked == true) {
 						list["ratsastuskerrat"] += jQuery('#group_1296594145_'+g).val();
 					}
 				}

 				list["valmennuksia"] = "Joista valmennuksia: ";
 				for (var g=1; g < 6; g++) {
 					if (document.getElementById("group_920285032_"+g).checked == true) {
 						list["valmennuksia"] += jQuery('#group_920285032_'+g).val()+'<br>';
 					}
 				}
				if (document.getElementById("group_2118619097_1").checked == true) {
					list["onnettomuus_tapaturma"] = "Oletko koskaan joutunut onnettomuuteen: "+jQuery('#group_2118619097_1').val();

					list["onnettomuus_tapahtuma"] = "Mitä tapahtui: "+jQuery('#entry_745784848').val();
					list["onnettomuus_kivut"] = "Kipuja, sairauksia, vammoja: "+jQuery('#entry_883855871').val();
					list["onnettomuus_vaikutukset"] = "Vaikutukset: "+jQuery('#entry_908542902').val()+'<br>';
				}
				else if (document.getElementById("group_2118619097_2").checked == true) {
					list["onnettomuus_tapaturma"] = "Oletko koskaan joutunut onnettomuuteen: "+ jQuery('#group_2118619097_2').val();
				}


				list["liikuntalajeja"] = "Tavallisimmat liikuntalajisi ratsastuksen lisäksi: ";
				list["liikuntalajit"] = "<ul>";
 				for (var g=1; g < 17; g++) {
 					if (document.getElementById("group_807549697_"+g).checked == true) {
 						list["liikuntalajit"] += '<li>'+jQuery('#group_807549697_'+g).val()+'</li>';
 					}
 				}
 				list["liikuntalajit"] += "</ul>";			
 				list["muu_liikuntalaji"] = "Jokin muu, mikä?: "+jQuery('#entry_173961323').val();

 				list["muutakuinratsastusta"] = "<br>Kuinka usein harrastat muuta kuin ratsastusta: ";
 				for (var g=1; g < 6; g++) {
 					if (document.getElementById("group_335205292_"+g).checked == true) {
 						list["muutakuinratsastusta"] += jQuery('#group_335205292_'+g).val();
 					}
 				}
				if (document.getElementById("group_1646554122_1").checked == true) {
					list["hyotya_liikkumisesta"] = "Koetko, että muusta liikkumisesta on hyötyä ratsastukseesi: "+jQuery('#group_1646554122_1').val();
				}
				else if (document.getElementById("group_1646554122_2").checked == true) {
					list["hyotya_liikkumisesta"] = "Koetko, että muusta liikkumisesta on hyötyä ratsastukseesi: "+jQuery('#group_1646554122_2').val();
				}

				list["kestavyyskunto"] = "Arviosi kestävyyskunnostasi: ";
 				for (var g=1; g < 7; g++) {
 					if (document.getElementById("group_903702100_"+g).checked == true) {
 						list["kestavyyskunto"] += jQuery('#group_903702100_'+g).val();
 					}
 				}

 				list["lihaskunto"] = "Arvioisi lihaskunnostasi: ";
 				for (var g=1; g < 6; g++) {
 					if (document.getElementById("group_1583408300_"+g).checked == true) {
 						list["lihaskunto"] += jQuery('#group_1583408300_'+g).val();
 					}
 				}

 				list["korjattavia_asioita"] = "Oletko huomannut ratsastuksessa korjattavia asioita:<br>"+jQuery('#entry_1728515587').val();
 				list["tavoitteet"] = "Ratsastukselliset tavoitteet tulevalla kaudella:<br>"+jQuery('#entry_427384480').val();
 				list["tarkeat_asiat"] = "Mitä pitäisit tärkeinä asioina omaa kehoasi ja ratsastusta ajatellen:<br>"+jQuery('#entry_1343573039').val()+'<br>';


				/*if (document.getElementById("group_697333812_1").checked == true) {
					list["kuntotestauksen_tarkoitus"] = "Olen ymmärtänyt kuntotestauksen tarkoituksen ja sisällön henkilökunnalta saamastani informaatiosta ja osallistun kuntotesteihin vapaaehtoisesti: "+jQuery('#group_697333812_1').val();
				}
				else {
					list["kuntotestauksen_tarkoitus"] = "Olen ymmärtänyt kuntotestauksen tarkoituksen ja sisällön henkilökunnalta saamastani informaatiosta ja osallistun kuntotesteihin vapaaehtoisesti: "+"Ei";
				}
				if (document.getElementById("group_2004829238_1").checked == true) {
					list["kuntotestin_terveys"] = "Olen täyttänyt kuntotestin terveys- ja oirekyselyn huolellisesti ja totuudenmukaisesti: "+jQuery('#group_697333812_1').val();
				}
				else {
					list["kuntotestin_terveys"] = "Olen täyttänyt kuntotestin terveys- ja oirekyselyn huolellisesti ja totuudenmukaisesti : "+"Ei";
				}
				if (document.getElementById("group_2015046226_1").checked == true) {
					list["tieteellinen_tutkimus"] = "Hyväksyn, että tuloksiani voidaan käyttää tieteellisessä tutkimuksessa: "+jQuery('#group_697333812_1').val();
				}
				else {
					list["tieteellinen_tutkimus"] = "Hyväksyn, että tuloksiani voidaan käyttää tieteellisessä tutkimuksessa: "+"Ei";
				}*/

				console.log(list);

				esitietoLomakePhp(list);
		}
		function palautaTestaajanSposti(nimi)
		{
			console.log("Nimi "+nimi);
			var lista = [
			{nimi:"Anne-Maarit Hyttinen 3", sposti: "movingfysio@wiksu.fi"},
			{nimi:"Kirsi Piispanen 2", sposti: "piispanen@elisanet.fi"},
			{nimi:"Teresa Tuominen 2", sposti: "tessa.tuominen@gmail.com"},
			{nimi:"Sini Huhtala-Lanki 2", sposti: "sini.huhtala@gmail.com"},
			{nimi:"Heli Onikki 2", sposti: "heli@fysio-origo.fi"},
			{nimi:"Anu Uusinarkaus 2", sposti: "anu.uusinarkaus@gmail.com"},
			{nimi:"Suvi Hagström 2", sposti: "hagstromsuvi@gmail.com"},
			{nimi:"Suvi Lahtinen 1", sposti: "suvi.lahtinen@pp.inet.fi"},
			{nimi:"Hanne Rainesalo 1", sposti: "hanne.rainesalo@gmail.com"},
			{nimi:"Hanna Heiskanen 1", sposti: "info@hhtraining.fi"},
			{nimi:"Siina Uotila 1", sposti: "siina.uotila@gmail.com"},
			{nimi:"Annika Taipale 1", sposti: "annika.taipale@gmail.com"},
			{nimi:"Saara Uusitalo 1", sposti: "saara@ridingfysio.fi"},
			{nimi:"Eija Nordlund 1", sposti: "eija.nordlund@anvianet.fi"},
			{nimi:"Merja Miettinen 1", sposti: "merjanmaili@gmail.com"}, //väliaikainen
			{nimi:"Maiju Issakainen 1", sposti: "nuutinen.maiju@gmail.com"},
			{nimi:"Johannes Mäkelä 2", sposti: "johannes@laakintavoimistelu.fi"},
			{nimi:"Päivi Jalkanen 1", sposti: "pakajalkanen@gmail.com"},
			{nimi:"Celina Virtanen 0", sposti: "siivouskomero@gmail.com"},
			{nimi:"Pirita Hipp-Koskenoja 0", sposti: "pirita.hipp-koskenoja@hevosopisto.fi"},
			{nimi:"Sofia Vernikos 0", sposti: "vernikos.sofia@gmail.com"},
			{nimi:"Emma Jones 0", sposti: "emmaajones@outlook.com"},
			{nimi:"Heini Kaappola 0", sposti: "heinikaappola@gmail.com"},
			{nimi:"Markku Heikkinen 0", sposti: "heikmark@gmail.com"}
			]

			for(i=0; i<lista.length;i++)
			{
				console.log(lista[i].nimi);
				if(lista[i].nimi == nimi)
				{
					return lista[i].sposti;
				}

				else
				{
				}
			}
		}
		function aerobinenLomakePhp(sposti, tulos){
			jQuery.ajaxSetup({async: false});
			var valueR;
		   	jQuery.post("../../aerobinen_sposti.php",{testaajan_sposti:sposti, testitulos:tulos},function(value){
		  	while(valueR == null)
		 	 {
		  	 valueR = value;
		 	 }
		   
			 }); 
		   	alert(valueR);
		 	jQuery.ajaxSetup({async: true});
		}

		function tasapainoLomakePhp(sposti, tulos){
			jQuery.ajaxSetup({async: false});
			var valueR;
		   	jQuery.post("../../tasapaino_sposti.php",{testaajan_sposti:sposti, testitulos:tulos},function(value){
		  	while(valueR == null)
		 	 {
		  	 valueR = value;
		 	 }
		   
			 }); 
		   	alert(valueR);
		 	jQuery.ajaxSetup({async: true});
		}

		function kuntohaastePhp(list){
			jQuery.ajaxSetup({async: false});
			var valueR;
		   	jQuery.post("../../kuntohaaste_sposti.php",list,function(value){
		  	while(valueR == null)
		 	 {
		  	 valueR = value;
		 	 }
		   
			 }); 
		   	alert(valueR);
		 	jQuery.ajaxSetup({async: true});
		}

		function lahetaEsitieto(sposti) {
			jQuery.ajaxSetup({async: false});
			var valueR;
		   	jQuery.post("../../lahetaEsitietolinkki.php",{sposti:sposti},function(value){
		  	while(valueR == null)
		 	 {
		  	 valueR = value;
		 	 }
		   
			 }); 
		   	alert(valueR);
		 	jQuery.ajaxSetup({async: true});
		}

		function esitietoLomakePhp(list){
			jQuery.ajaxSetup({async: false});
			var valueR;
		   	jQuery.post("../../lahetaEsitietolomake.php",list,function(value){
		  	while(valueR == null)
		 	 {
		  	 valueR = value;
		 	 }
		   
			 }); 
		   	alert(valueR);
		 	jQuery.ajaxSetup({async: true});
		}

		function sendToPhp(list){
			jQuery.ajaxSetup({async: false});
			var valueR;
		   	jQuery.post("../../sposti.php",list,function(value){
		  	while(valueR == null)
		 	 {
		  	 valueR = value;
		 	 }
		   
			 }); 
		   	alert(valueR);
		 	jQuery.ajaxSetup({async: true});
		}

		function extranetLinkki() {
			if(document.getElementById('perusSivuLogo')) {
				console.log("perusSivulla");
				document.getElementById("extranetLink").style.display = "block";
				document.getElementById("kirjauduUlosLink").style.display = "none";
			}
			else if (document.getElementById('extranetLogo')) {
				console.log("extranetissa");
				document.getElementById("extranetLink").style.display = "none";
				document.getElementById("kirjauduUlosLink").style.display = "block";
			}
			else {
				document.getElementById("extranetLink").style.display = "none";
				document.getElementById("kirjauduUlosLink").style.display = "none";
			}
		}

		function validoi() {
			var jQueryfields;
			var check1 = 0;
			var filter_ = 0;

			if (document.getElementById('esitietolomake')) {
				if (step == "step2") {
					console.log("step1");
					jQueryfields = jQuery("#step1 .pakollinen");
					check1 = 1;
				}
				else if (step == "step3") {
					console.log("step2");
					jQueryfields = jQuery("#step2 .pakollinen");


					var sukupuoli = document.getElementsByClassName("sukupuoli");
					for(i=0;i<sukupuoli.length;i++){
						if(sukupuoli[i].checked){
					    check1++;
					    break;
					    }
					}
				}
				else if (step == "step4") {
					console.log("step3");
					jQueryfields = jQuery("#step3 .pakollinen");

					var laakitys = document.getElementsByClassName("laakitys");
					for(i=0;i<laakitys.length;i++){
						if(laakitys[i].checked){
					    check1++;
					    break;
					    }
					}
				}
				else if (step == "step5") {
					console.log("step4");
					filter_ = 1;

					var tupakointi = document.getElementsByClassName("tupakointi");
					for(i=0;i<tupakointi.length;i++){
						if(tupakointi[i].checked){
					    check1++;
					    break;
					    }
					}

				}
				else if (step == "step6") {
					console.log("step5");
					filter_ = 1;

					var laji = document.getElementsByClassName("laji");
					for(i=0;i<laji.length;i++){
						if(laji[i].checked){
					    check1++;
					    break;
					    }
					}
					var taso = document.getElementsByClassName("taso");
					var check2 = 0;
					for(i=0;i<taso.length;i++){
						if(taso[i].checked){
					    check2++;
					    break;
					    }
					}
					var kerrat = document.getElementsByClassName("kerrat");
					var check3 = 0;
					for(i=0;i<kerrat.length;i++){
						if(kerrat[i].checked){
					    check3++;
					    break;
					    }
					}
					var valmennuksia = document.getElementsByClassName("valmennuksia");
					var check4 = 0;
					for(i=0;i<valmennuksia.length;i++){
						if(valmennuksia[i].checked){
					    check4++;
					    break;
					    }
					}
					var onnettomuus = document.getElementsByClassName("onnettomuus");
					var check5 = 0;
					for(i=0;i<onnettomuus.length;i++){
						if(onnettomuus[i].checked){
					    check5++;
					    break;
					    }
					}

					//alert(check1+" "+check2+" "+check3+" "+check4+" "+check5);

					if (check1 == 1 && check2 == 1 && check3 == 1 && check4 == 1 && check5 == 1) {
						check1 = 1;
					}
					else {
						check1 = 0;
					}
				}
				else if (step == "step7") {
					console.log("step6");
					filter_ = 1;
					var usein = document.getElementsByClassName("usein");
					for(i=0;i<usein.length;i++){
						if(usein[i].checked){
					    check1++;
					    break;
					    }
					}
					var hyotya = document.getElementsByClassName("hyotya");
					var check2 = 0;
					for(i=0;i<hyotya.length;i++){
						if(hyotya[i].checked){
					    check2++;
					    break;
					    }
					}
					var kestavyys = document.getElementsByClassName("kestavyys");
					var check3 = 0;
					for(i=0;i<kestavyys.length;i++){
						if(kestavyys[i].checked){
					    check3++;
					    break;
					    }
					}
					var lihaskunto = document.getElementsByClassName("lihaskunto");
					var check4 = 0;
					for(i=0;i<lihaskunto.length;i++){
						if(lihaskunto[i].checked){
					    check4++;
					    break;
					    }
					}

					//alert(check1+" "+check2+" "+check3+" "+check4);

					if (check1 == 0 || check2 == 0 || check3 == 0 || check4 == 0) {
						check1 = 0;
					}
					else {
						check1 =1;
					}
				}
				else if (step == "step8") {
					console.log("step7");
					filter_ = 1;
					check1 = 1;
				}
				else if (lastStep) {
					if (jQuery("#step8 .pakollinen:checked")) {

					}
					else {

					}
				}

				var jQueryemptyFields;
				if (filter_ != 1) {
					jQueryemptyFields = jQueryfields.filter(function() {

	            	// remove the $.trim if whitespace is counted as filled
	            	return jQuery.trim(this.value) === "";         

		        	});
		        	if (jQueryemptyFields.length || check1 == 0) {
			            alert("Jokin kohta jäi täyttämättä!");
			            step = step.replace( /^\D+/g, '');
					    curStep = step-1;
					    curStep = "step"+curStep;
			            jQuery("#ss-form").formwizard("show",curStep);
		        	}
				}

		        else {
		        	if (check1 == 0) {
			            alert("Jokin kohta jäi täyttämättä!");
			            step = step.replace( /^\D+/g, '');
					    curStep = step-1;
					    curStep = "step"+curStep;
			            jQuery("#ss-form").formwizard("show",curStep);
		        	}
		        }
			}
			else if (document.getElementById('kuntohaasteWrapper')) {


			}
			else if (document.getElementById("aerobinenLomake")) {
				if (step == "step2") {
					console.log("step1");
					jQueryfields = jQuery("#step1 :input");
				}
				else if (step == "step3") {
					console.log("step2");
					jQueryfields = jQuery("#step2 :input");
				}
				else {
					console.log("step3");
					console.log("validointi");
					jQueryfields = jQuery("#step3 :input");
				}
				var jQueryemptyFields = jQueryfields.filter(function() {
	            	return jQuery.trim(this.value) === "";         
		        });

	        	if (jQueryemptyFields.length) {
		            alert("Jokin kohta jäi täyttämättä!");
		            step = step.replace( /^\D+/g, '');
				    curStep = step-1;
				    curStep = "step"+curStep;
		            jQuery("#ss-form").formwizard("show",curStep);
	        	
				}
			}
			else if (document.getElementById("liikkuvuusLomake")) {
				if (step == "step2") {
					console.log("step1 liikkuvuus");
					jQueryfields = jQuery("#step1 :input");
				}
				else if (step == "step3") {
					console.log("step2 liikkuvuus");
					jQueryfields = jQuery("#step2 :input");
				}
				else {
					console.log("step3 liikkuvuus");
					console.log("validointi");
					jQueryfields = jQuery("#step3 :input");
				}
				var jQueryemptyFields = jQueryfields.filter(function() {
	            	return jQuery.trim(this.value) === "";         
		        });

	        	if (jQueryemptyFields.length) {
		            alert("Jokin kohta jäi täyttämättä!");
		            step = step.replace( /^\D+/g, '');
				    curStep = step-1;
				    curStep = "step"+curStep;
		            jQuery("#ss-form").formwizard("show",curStep);
	        	
				}
			}
			else {	

				if (document.getElementById('tasapainoLomake') && document.getElementById("group_1958349674_2").checked == true && step == "step3") {
					console.log("harrastajalomake");
					console.log("step3");
					jQueryfields = jQuery("#step3 :input");
					filter_ = 1;
				}
				else if (step == "step2") {
					console.log("step1");
					jQueryfields = jQuery("#step1 :input");
					filter_ = 0;
				}
				else if (step == "step3") {
					console.log("step2");
					jQueryfields = jQuery("#step2 :input");
					filter_ = 0;
				}
				else {
					console.log("step3");
					console.log("validointi");
					jQueryfields = jQuery("#step3 :input");
					filter_ = 1;
				}
				if (filter_ == 0) {
					var jQueryemptyFields = jQueryfields.filter(function() {
		            	return jQuery.trim(this.value) === "";         
			        });

		        	if (jQueryemptyFields.length) {
			            alert("Jokin kohta jäi täyttämättä!");
			            step = step.replace( /^\D+/g, '');
					    curStep = step-1;
					    curStep = "step"+curStep;
			            jQuery("#ss-form").formwizard("show",curStep);
		        	
					}
				}
				else {

				}

		    }

		}

    </script>
	<script src="/~ratsasta/templates/purity_iii/js/jquery-ui-1.8.5.custom.min.js" type="text/javascript"></script>
	<script src="/~ratsasta/templates/purity_iii/js/bbq.js" type="text/javascript"></script>
	<script src="/~ratsasta/templates/purity_iii/js/jquery.form.wizard.js" type="text/javascript"></script>
	<script src="/~ratsasta/templates/purity_iii/js/jquery.form.js" type="text/javascript"></script>
	<script src="/~ratsasta/templates/purity_iii/js/jquery.validate.js" type="text/javascript"></script>
	<script src="/~ratsasta/templates/purity_iii/js/jspdf.js" type="text/javascript"></script>
	<script src="/~ratsasta/templates/purity_iii/js/tulos.js" type="text/javascript"></script>
	<link rel="stylesheet" type="text/css" href="/~ratsasta/templates/purity_iii/css/jquery-ui-1.8.2.custom.css" /> 


	

<?php endif ?>
<meta name="HandheldFriendly" content="true"/>
<meta name="apple-mobile-web-app-capable" content="YES"/>
<!-- //META FOR IOS & HANDHELD -->
<?php
// SYSTEM CSS
$this->addStyleSheet(JURI::base(true) . '/templates/system/css/system.css');
?>

<?php
// T3 BASE HEAD
$this->addHead();
?>

<?php
// CUSTOM CSS
if (is_file(T3_TEMPLATE_PATH . '/css/custom.css')) {
	$this->addStyleSheet(T3_TEMPLATE_URL . '/css/custom.css');
}
?>
<?php 
// ANIMATE CSS
if(is_file(T3_TEMPLATE_PATH . '/css/animate.css')) {
	$this->addStyleSheet(T3_TEMPLATE_URL.'/css/animate.css'); 
}
?>
<!-- Le HTML5 shim and media query for IE8 support -->
<!--[if lt IE 9]>
<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
<script type="text/javascript" src="<?php echo T3_URL ?>/js/respond.min.js"></script>
<![endif]-->

<!-- You can add Google Analytics here or use T3 Injection feature -->

<!--[if lt IE 9]>
<link rel="stylesheet" href="<?php echo T3_TEMPLATE_URL ?>/css/ie8.css" type="text/css" />
<![endif]-->